package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSupplierRefundListSupplierRefundQueryRequest struct {
	/*
	   经营店id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   实际售卖商家code     */
	SourceMerchantCode *string `json:"source_merchant_code,omitempty" `

	/*
	   结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   分页大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   页码，从0开始     */
	PageIndex *int64 `json:"page_index,omitempty" `

	/*
	   下单终端：APP/POS     */
	OrderClient *string `json:"order_client,omitempty" `

	/*
	   订单渠道     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   1:售中退款  2:售后退款     */
	DisputeType *int64 `json:"dispute_type,omitempty" `

	/*
	   渠道店id     */
	ShopId *string `json:"shop_id,omitempty" `
}

func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetStoreId(v string) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetSourceMerchantCode(v string) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.SourceMerchantCode = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetEndTime(v util.LocalTime) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetStartTime(v util.LocalTime) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetPageSize(v int64) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetPageIndex(v int64) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.PageIndex = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetOrderClient(v string) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.OrderClient = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetOrderFrom(v int64) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetDisputeType(v int64) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.DisputeType = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest) SetShopId(v string) *AlibabaWdkSupplierRefundListSupplierRefundQueryRequest {
	s.ShopId = &v
	return s
}
